package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AreaFireRanking;
import com.lightinit.hsdatashow.entity.AreaFireRankingExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface AreaFireRankingMapper {
    long countByExample(AreaFireRankingExample example);

    int deleteByExample(AreaFireRankingExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AreaFireRanking record);

    int insertSelective(AreaFireRanking record);

    List<AreaFireRanking> selectByExample(AreaFireRankingExample example);

    AreaFireRanking selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AreaFireRanking record, @Param("example") AreaFireRankingExample example);

    int updateByExample(@Param("record") AreaFireRanking record, @Param("example") AreaFireRankingExample example);

    int updateByPrimaryKeySelective(AreaFireRanking record);

    int updateByPrimaryKey(AreaFireRanking record);

    List<ChartModel> getAreFireRank();
}